%define version   1.0.0
%define release   %mkrel 6

%define scim_canna_version 1.0.0
%define skim_version       1.4.3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		skim-scim-canna
Summary:	An scim-canna plugin for skim
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}/%{name}-%{version}.tar.bz2
Patch0:		skim-scim-canna_fix_build.diff
Patch1:		skim-scim-canna-new-autotools.patch
Obsoletes:		%{libname}
Requires:		scim-canna >= %{scim_canna_version}
Requires:		skim >= %{skim_version}
BuildRequires:		scim-canna >= %{scim_canna_version}
BuildRequires:		skim-devel >= %{skim_version}
BuildRequires:		gettext-devel
BuildConflicts: automake1.7

%description
Skim-scim-canna is an scim-canna plugin for skim.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
# force to regenerate configure
./bootstrap

%configure2_5x --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/apps/skim/pics/*.png
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/services/skimconfiguredialog/*.desktop
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so


%changelog
* Mon Aug 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdv2009.0
+ Revision: 263328
- fix deps

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-5mdv2009.0
+ Revision: 260748
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-4mdv2009.0
+ Revision: 252520
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-2mdv2008.1
+ Revision: 168260
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 79779
- cp patch from skim-scim-anthy, to support newer autotools
- Rebuild to drop libname, /usr/lib/kde3 should be in main pacakge
- Import skim-scim-canna




* Mon Apr 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-2mdk
- fix requires being "scim-canna >= %%{scim-canna_version}"

* Thu Feb 02 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- add "--disable-rpath" to avoid rpmlint errors

* Wed Nov 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-1mdk
- first spec for Mandriva Linux
